html {
    box-sizing: border-box;
  }
  
  *, *::before,::after {
    box-sizing: inherit;
  }
  
  h1, h2, h3, h4, h5, h6, p {
    margin: 0;
    padding: 0;
  }
  
  @font-face {
      font-family: 'TTLakes';
      src: local('TTLakes-Bold'),
        url('../fonts/TT-Lakes-Bold.woff2') format("woff2"),
        url('../fonts/TT-Lakes-Bold.woff') format("woff");
      font-weight: 700;
      font-style: normal;
      font-display: swap;
    }
    
    @font-face {
      font-family: 'TTLakes';
      src: local('TTLakes-Medium'),
        url('../fonts/TT-Lakes-Medium.woff2') format("woff2"),
        url('../fonts/TT-Lakes-Medium.woff') format("woff");
      font-weight: 500;
      font-style: normal;
      font-display: swap;
    }
    
    @font-face {
      font-family: 'TTLakes';
      src: local('TTLakes-Regular'),
        url('../fonts/TT-Lakes-Regular.woff2') format("woff2"),
        url('../fonts/TT-Lakes-Regular.woff') format("woff");
      font-weight: 400;
      font-style: normal;
      font-display: swap;
    }
  
  body {
    font-family: 'TTLakes', sans-serif;  
    font-style: normal;
    margin: 0 auto;
    height: 100vh;
    background: #FFF;
  }
  a {
    text-decoration: none; 
  }

  button {
    padding: 0;
    border: none;
    background-color: transparent;
    align-items: center;
    cursor: pointer;
    width: 40px;
    height: 41px;
  }

  .main-menu {
    width: 320px;
    min-height: 1024px;
    display: flex;
    flex-direction: column;
    box-shadow: 16px 0px 52px 0px #0E185033;   
  }

  .menu__top {
    width: 320px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 24px 23px;
  }

  .logo {
    width: 97px;
    height: 51px;
  }

  .menu__top-left {
    display: flex;
    align-items: center;
    gap: 16px;
  }

    ul {
    margin: 0;
    padding: 0;
    list-style: none;
    }
    
    li {
    list-style: none;
    }

    ul li {
    margin-bottom: 32px;
    }

    
    a:visited, a:link, a:active {
    color: inherit;
    }

    .menu__service {
    margin-top: 25px;
    width: 222px;
    height: 876px;
    padding: 0;
    }

    .menu__service__nav li {
    cursor: pointer;
    position: relative; 
    display: inline-block;
    padding-left: 20px;          
    }

    .service__nav__item {
    font-family: TTLakes;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: -0.20000000298023224px;
    text-align: left;
    color: #1B1C21;
    transition: transform 0.5s;
    }

    .service__nav__item_active {
    opacity: 0.6;
    }
    .service__nav__item_active::before {
    content: ''; 
    position: absolute; 
    width: 4px;
    height: 32px;
    background-image: url('../image/highlight.svg');
    left: 0;
    top: -15%      
    }

    .service__nav__item:focus {
    opacity: 0.6;
    }

    .service__nav__item:hover {
    opacity: 0.6;
    transform: translateX(5px);
    }

    .service__nav__item::after {
        content: '';
        position: absolute;
        left: 18px;
        bottom: -5px;
        height: 1px;
        width: 90%;
        background-color: rgb(59, 59, 59); /* Цвет подчеркивания */
        transition: all 0.3s ease; /* Плавное изменение при наведении */
        transform: scaleX(0); /* Сначала ширина подчеркивания нулевая */
        transform-origin: bottom right;
    }
    
    .service__nav__item:hover::after {
        transform: scaleX(1); /* Растягиваем подчеркивание на всю ширину текста при наведении */
        transform-origin: bottom left;
    }

    .service__nav__item:focus::after {
        transform: scaleX(1); /* Растягиваем подчеркивание на всю ширину текста при наведении */
        transform-origin: bottom left;
    }


    .menu__contact-icons {
    top: 260px;
    margin-left: 24px;
    margin-right: 150px;
    display: flex;
    justify-content: space-between;
    }

    .footer-info__mail {
    display: block;
    width: 100%;
    margin-left: 24px;
    margin-top: 16px;
    margin-bottom: 12px;
    font-family: TTLakes;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: -0.20000000298023224px;
    text-align: left;

    }

    .footer-info__number {
    display: block;
    margin-left: 24px;
    font-family: TTLakes;
    font-size: 24px;
    font-weight: 700;
    line-height: 32px;
    letter-spacing: -0.6000000238418579px;
    text-align: left;
    color: #1B1C21;
    margin-bottom: 40px;
    }

    .info-language__choice {
    margin-left: 24px;
    margin-bottom: 32px;
    }

    .language__choice__item {
    display: inline;
    font-family: TTLakes;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: -0.20000000298023224px;
    text-align: left;
    color: #1B1C21;
    }

    .language__choice__item_active {
    opacity: 0.6;
    }

    .language__choice__item:hover {
    opacity: 0.6;
    }

    .language__choice__item:focus {
    opacity: 0.6;
    }

    


   


   

   